Skip to content
Start here

Disable OHTTP Gateway

zones.ohttp_gateway.delete(OhttpGatewayDeleteParams**kwargs) -> OhttpGatewayDeleteResponse
DELETE/zones/{zone_id}/settings/ohttp-gateway

Idempotently disables Oblivious HTTP Gateway for the zone. Requires product subscription to call.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings Write
ParametersExpand Collapse
zone_id: str
maxLength32
ReturnsExpand Collapse
Literal["on", "off"]
One of the following:
"on"
"off"

Disable OHTTP Gateway

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
ohttp_gateway = client.zones.ohttp_gateway.delete(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(ohttp_gateway)
{
  "errors": [],
  "messages": [],
  "result": "off",
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": "off",
  "success": true
}